-- Copyright (C) 1991-2013 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II 64-Bit"
-- VERSION "Version 13.0.0 Build 156 04/24/2013 SJ Web Edition"

-- DATE "09/12/2013 15:40:38"

-- 
-- Device: Altera 5M570ZT100C5 Package TQFP100
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY IEEE;
LIBRARY MAXV;
USE IEEE.STD_LOGIC_1164.ALL;
USE MAXV.MAXV_COMPONENTS.ALL;

ENTITY 	la_fundamental IS
    PORT (
	ENA : IN std_logic;
	CLK : IN std_logic;
	RST : IN std_logic;
	BUZR : OUT std_logic
	);
END la_fundamental;

-- Design Ports Information
-- CLK	=>  Location: PIN_12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- ENA	=>  Location: PIN_27,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- RST	=>  Location: PIN_44,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- BUZR	=>  Location: PIN_6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 16mA


ARCHITECTURE structure OF la_fundamental IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_ENA : std_logic;
SIGNAL ww_CLK : std_logic;
SIGNAL ww_RST : std_logic;
SIGNAL ww_BUZR : std_logic;
SIGNAL \CLK~combout\ : std_logic;
SIGNAL \RST~combout\ : std_logic;
SIGNAL \ENA~combout\ : std_logic;
SIGNAL \prescaler:cnt[4]~regout\ : std_logic;
SIGNAL \Add0~0_combout\ : std_logic;
SIGNAL \prescaler:cnt[12]~regout\ : std_logic;
SIGNAL \Add0~15_combout\ : std_logic;
SIGNAL \prescaler:cnt[2]~regout\ : std_logic;
SIGNAL \Add0~17\ : std_logic;
SIGNAL \Add0~17COUT1_90\ : std_logic;
SIGNAL \Add0~5_combout\ : std_logic;
SIGNAL \Equal0~0_combout\ : std_logic;
SIGNAL \prescaler:cnt[3]~regout\ : std_logic;
SIGNAL \Add0~7\ : std_logic;
SIGNAL \Add0~7COUT1_92\ : std_logic;
SIGNAL \Add0~27\ : std_logic;
SIGNAL \Add0~27COUT1_94\ : std_logic;
SIGNAL \Add0~30_combout\ : std_logic;
SIGNAL \prescaler:cnt[5]~regout\ : std_logic;
SIGNAL \Add0~32\ : std_logic;
SIGNAL \Add0~32COUT1_96\ : std_logic;
SIGNAL \Add0~35_combout\ : std_logic;
SIGNAL \prescaler:cnt[6]~regout\ : std_logic;
SIGNAL \Add0~37\ : std_logic;
SIGNAL \Add0~20_combout\ : std_logic;
SIGNAL \prescaler:cnt[7]~regout\ : std_logic;
SIGNAL \Add0~22\ : std_logic;
SIGNAL \Add0~22COUT1_98\ : std_logic;
SIGNAL \Add0~50_combout\ : std_logic;
SIGNAL \prescaler:cnt[8]~regout\ : std_logic;
SIGNAL \Add0~52\ : std_logic;
SIGNAL \Add0~52COUT1_100\ : std_logic;
SIGNAL \Add0~40_combout\ : std_logic;
SIGNAL \prescaler:cnt[9]~regout\ : std_logic;
SIGNAL \Add0~42\ : std_logic;
SIGNAL \Add0~42COUT1_102\ : std_logic;
SIGNAL \Add0~55_combout\ : std_logic;
SIGNAL \prescaler:cnt[10]~regout\ : std_logic;
SIGNAL \Add0~57\ : std_logic;
SIGNAL \Add0~57COUT1_104\ : std_logic;
SIGNAL \Add0~45_combout\ : std_logic;
SIGNAL \prescaler:cnt[11]~regout\ : std_logic;
SIGNAL \Add0~47\ : std_logic;
SIGNAL \Add0~70_combout\ : std_logic;
SIGNAL \prescaler:cnt[14]~regout\ : std_logic;
SIGNAL \Add0~72\ : std_logic;
SIGNAL \Add0~72COUT1_106\ : std_logic;
SIGNAL \Add0~60_combout\ : std_logic;
SIGNAL \prescaler:cnt[13]~regout\ : std_logic;
SIGNAL \Add0~62\ : std_logic;
SIGNAL \Add0~62COUT1_108\ : std_logic;
SIGNAL \Add0~65_combout\ : std_logic;
SIGNAL \Equal0~2_combout\ : std_logic;
SIGNAL \Equal0~3_combout\ : std_logic;
SIGNAL \prescaler:cnt[0]~regout\ : std_logic;
SIGNAL \Add0~2\ : std_logic;
SIGNAL \Add0~2COUT1_88\ : std_logic;
SIGNAL \Add0~10_combout\ : std_logic;
SIGNAL \prescaler:cnt[1]~regout\ : std_logic;
SIGNAL \Add0~12\ : std_logic;
SIGNAL \Add0~25_combout\ : std_logic;
SIGNAL \Equal0~1_combout\ : std_logic;
SIGNAL \prescaler:CLK440~1_combout\ : std_logic;
SIGNAL \prescaler:CLK440~regout\ : std_logic;
SIGNAL \ALT_INV_RST~combout\ : std_logic;
SIGNAL \ALT_INV_ENA~combout\ : std_logic;

BEGIN

ww_ENA <= ENA;
ww_CLK <= CLK;
ww_RST <= RST;
BUZR <= ww_BUZR;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
\ALT_INV_RST~combout\ <= NOT \RST~combout\;
\ALT_INV_ENA~combout\ <= NOT \ENA~combout\;

-- Location: PIN_12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\CLK~I\ : maxv_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "input")
-- pragma translate_on
PORT MAP (
	oe => GND,
	padio => ww_CLK,
	combout => \CLK~combout\);

-- Location: PIN_44,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\RST~I\ : maxv_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "input")
-- pragma translate_on
PORT MAP (
	oe => GND,
	padio => ww_RST,
	combout => \RST~combout\);

-- Location: PIN_27,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\ENA~I\ : maxv_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "input")
-- pragma translate_on
PORT MAP (
	oe => GND,
	padio => ww_ENA,
	combout => \ENA~combout\);

-- Location: LC_X3_Y4_N2
\prescaler:cnt[4]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[4]~regout\ = DFFEAS((((\Add0~25_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "ff00",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	datad => \Add0~25_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[4]~regout\);

-- Location: LC_X4_Y4_N3
\Add0~0\ : maxv_lcell
-- Equation(s):
-- \Add0~0_combout\ = ((!\prescaler:cnt[0]~regout\))
-- \Add0~2\ = CARRY(((\prescaler:cnt[0]~regout\)))
-- \Add0~2COUT1_88\ = CARRY(((\prescaler:cnt[0]~regout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "33cc",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datab => \prescaler:cnt[0]~regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~0_combout\,
	cout0 => \Add0~2\,
	cout1 => \Add0~2COUT1_88\);

-- Location: LC_X6_Y4_N5
\prescaler:cnt[12]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[12]~regout\ = DFFEAS((((\Add0~70_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "ff00",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	datad => \Add0~70_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[12]~regout\);

-- Location: LC_X4_Y4_N5
\Add0~15\ : maxv_lcell
-- Equation(s):
-- \Add0~15_combout\ = (\prescaler:cnt[2]~regout\ $ ((!\Add0~12\)))
-- \Add0~17\ = CARRY(((\prescaler:cnt[2]~regout\ & !\Add0~12\)))
-- \Add0~17COUT1_90\ = CARRY(((\prescaler:cnt[2]~regout\ & !\Add0~12\)))

-- pragma translate_off
GENERIC MAP (
	cin_used => "true",
	lut_mask => "c30c",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datab => \prescaler:cnt[2]~regout\,
	cin => \Add0~12\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~15_combout\,
	cout0 => \Add0~17\,
	cout1 => \Add0~17COUT1_90\);

-- Location: LC_X3_Y4_N6
\prescaler:cnt[2]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[2]~regout\ = DFFEAS((((\Add0~15_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "ff00",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	datad => \Add0~15_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[2]~regout\);

-- Location: LC_X4_Y4_N6
\Add0~5\ : maxv_lcell
-- Equation(s):
-- \Add0~5_combout\ = (\prescaler:cnt[3]~regout\ $ (((!\Add0~12\ & \Add0~17\) # (\Add0~12\ & \Add0~17COUT1_90\))))
-- \Add0~7\ = CARRY(((!\Add0~17\) # (!\prescaler:cnt[3]~regout\)))
-- \Add0~7COUT1_92\ = CARRY(((!\Add0~17COUT1_90\) # (!\prescaler:cnt[3]~regout\)))

-- pragma translate_off
GENERIC MAP (
	cin0_used => "true",
	cin1_used => "true",
	cin_used => "true",
	lut_mask => "3c3f",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datab => \prescaler:cnt[3]~regout\,
	cin => \Add0~12\,
	cin0 => \Add0~17\,
	cin1 => \Add0~17COUT1_90\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~5_combout\,
	cout0 => \Add0~7\,
	cout1 => \Add0~7COUT1_92\);

-- Location: LC_X3_Y4_N5
\Equal0~0\ : maxv_lcell
-- Equation(s):
-- \Equal0~0_combout\ = (\Add0~0_combout\ & (!\Add0~10_combout\ & (\Add0~5_combout\ & !\Add0~15_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0020",
	operation_mode => "normal",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~0_combout\,
	datab => \Add0~10_combout\,
	datac => \Add0~5_combout\,
	datad => \Add0~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Equal0~0_combout\);

-- Location: LC_X4_Y4_N1
\prescaler:cnt[3]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[3]~regout\ = DFFEAS((\Add0~5_combout\ & (((!\Equal0~0_combout\) # (!\Equal0~3_combout\)) # (!\Equal0~1_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "2aaa",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	dataa => \Add0~5_combout\,
	datab => \Equal0~1_combout\,
	datac => \Equal0~3_combout\,
	datad => \Equal0~0_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[3]~regout\);

-- Location: LC_X4_Y4_N7
\Add0~25\ : maxv_lcell
-- Equation(s):
-- \Add0~25_combout\ = (\prescaler:cnt[4]~regout\ $ ((!(!\Add0~12\ & \Add0~7\) # (\Add0~12\ & \Add0~7COUT1_92\))))
-- \Add0~27\ = CARRY(((\prescaler:cnt[4]~regout\ & !\Add0~7\)))
-- \Add0~27COUT1_94\ = CARRY(((\prescaler:cnt[4]~regout\ & !\Add0~7COUT1_92\)))

-- pragma translate_off
GENERIC MAP (
	cin0_used => "true",
	cin1_used => "true",
	cin_used => "true",
	lut_mask => "c30c",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datab => \prescaler:cnt[4]~regout\,
	cin => \Add0~12\,
	cin0 => \Add0~7\,
	cin1 => \Add0~7COUT1_92\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~25_combout\,
	cout0 => \Add0~27\,
	cout1 => \Add0~27COUT1_94\);

-- Location: LC_X4_Y4_N8
\Add0~30\ : maxv_lcell
-- Equation(s):
-- \Add0~30_combout\ = \prescaler:cnt[5]~regout\ $ (((((!\Add0~12\ & \Add0~27\) # (\Add0~12\ & \Add0~27COUT1_94\)))))
-- \Add0~32\ = CARRY(((!\Add0~27\)) # (!\prescaler:cnt[5]~regout\))
-- \Add0~32COUT1_96\ = CARRY(((!\Add0~27COUT1_94\)) # (!\prescaler:cnt[5]~regout\))

-- pragma translate_off
GENERIC MAP (
	cin0_used => "true",
	cin1_used => "true",
	cin_used => "true",
	lut_mask => "5a5f",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	dataa => \prescaler:cnt[5]~regout\,
	cin => \Add0~12\,
	cin0 => \Add0~27\,
	cin1 => \Add0~27COUT1_94\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~30_combout\,
	cout0 => \Add0~32\,
	cout1 => \Add0~32COUT1_96\);

-- Location: LC_X3_Y4_N9
\prescaler:cnt[5]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[5]~regout\ = DFFEAS((((\Add0~30_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "ff00",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	datad => \Add0~30_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[5]~regout\);

-- Location: LC_X4_Y4_N9
\Add0~35\ : maxv_lcell
-- Equation(s):
-- \Add0~35_combout\ = (\prescaler:cnt[6]~regout\ $ ((!(!\Add0~12\ & \Add0~32\) # (\Add0~12\ & \Add0~32COUT1_96\))))
-- \Add0~37\ = CARRY(((\prescaler:cnt[6]~regout\ & !\Add0~32COUT1_96\)))

-- pragma translate_off
GENERIC MAP (
	cin0_used => "true",
	cin1_used => "true",
	cin_used => "true",
	lut_mask => "c30c",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datab => \prescaler:cnt[6]~regout\,
	cin => \Add0~12\,
	cin0 => \Add0~32\,
	cin1 => \Add0~32COUT1_96\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~35_combout\,
	cout => \Add0~37\);

-- Location: LC_X3_Y4_N7
\prescaler:cnt[6]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[6]~regout\ = DFFEAS(GND, GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, \Add0~35_combout\, , , VCC)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "on")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	datac => \Add0~35_combout\,
	aclr => \ALT_INV_RST~combout\,
	sload => VCC,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[6]~regout\);

-- Location: LC_X5_Y4_N0
\Add0~20\ : maxv_lcell
-- Equation(s):
-- \Add0~20_combout\ = \prescaler:cnt[7]~regout\ $ ((((\Add0~37\))))
-- \Add0~22\ = CARRY(((!\Add0~37\)) # (!\prescaler:cnt[7]~regout\))
-- \Add0~22COUT1_98\ = CARRY(((!\Add0~37\)) # (!\prescaler:cnt[7]~regout\))

-- pragma translate_off
GENERIC MAP (
	cin_used => "true",
	lut_mask => "5a5f",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	dataa => \prescaler:cnt[7]~regout\,
	cin => \Add0~37\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~20_combout\,
	cout0 => \Add0~22\,
	cout1 => \Add0~22COUT1_98\);

-- Location: LC_X6_Y4_N6
\prescaler:cnt[7]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[7]~regout\ = DFFEAS((\Add0~20_combout\ & (((!\Equal0~1_combout\) # (!\Equal0~3_combout\)) # (!\Equal0~0_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "2aaa",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	dataa => \Add0~20_combout\,
	datab => \Equal0~0_combout\,
	datac => \Equal0~3_combout\,
	datad => \Equal0~1_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[7]~regout\);

-- Location: LC_X5_Y4_N1
\Add0~50\ : maxv_lcell
-- Equation(s):
-- \Add0~50_combout\ = (\prescaler:cnt[8]~regout\ $ ((!(!\Add0~37\ & \Add0~22\) # (\Add0~37\ & \Add0~22COUT1_98\))))
-- \Add0~52\ = CARRY(((\prescaler:cnt[8]~regout\ & !\Add0~22\)))
-- \Add0~52COUT1_100\ = CARRY(((\prescaler:cnt[8]~regout\ & !\Add0~22COUT1_98\)))

-- pragma translate_off
GENERIC MAP (
	cin0_used => "true",
	cin1_used => "true",
	cin_used => "true",
	lut_mask => "c30c",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datab => \prescaler:cnt[8]~regout\,
	cin => \Add0~37\,
	cin0 => \Add0~22\,
	cin1 => \Add0~22COUT1_98\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~50_combout\,
	cout0 => \Add0~52\,
	cout1 => \Add0~52COUT1_100\);

-- Location: LC_X6_Y4_N2
\prescaler:cnt[8]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[8]~regout\ = DFFEAS(GND, GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, \Add0~50_combout\, , , VCC)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "on")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	datac => \Add0~50_combout\,
	aclr => \ALT_INV_RST~combout\,
	sload => VCC,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[8]~regout\);

-- Location: LC_X5_Y4_N2
\Add0~40\ : maxv_lcell
-- Equation(s):
-- \Add0~40_combout\ = (\prescaler:cnt[9]~regout\ $ (((!\Add0~37\ & \Add0~52\) # (\Add0~37\ & \Add0~52COUT1_100\))))
-- \Add0~42\ = CARRY(((!\Add0~52\) # (!\prescaler:cnt[9]~regout\)))
-- \Add0~42COUT1_102\ = CARRY(((!\Add0~52COUT1_100\) # (!\prescaler:cnt[9]~regout\)))

-- pragma translate_off
GENERIC MAP (
	cin0_used => "true",
	cin1_used => "true",
	cin_used => "true",
	lut_mask => "3c3f",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datab => \prescaler:cnt[9]~regout\,
	cin => \Add0~37\,
	cin0 => \Add0~52\,
	cin1 => \Add0~52COUT1_100\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~40_combout\,
	cout0 => \Add0~42\,
	cout1 => \Add0~42COUT1_102\);

-- Location: LC_X6_Y4_N9
\prescaler:cnt[9]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[9]~regout\ = DFFEAS((\Add0~40_combout\ & (((!\Equal0~1_combout\) # (!\Equal0~3_combout\)) # (!\Equal0~0_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "4ccc",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	dataa => \Equal0~0_combout\,
	datab => \Add0~40_combout\,
	datac => \Equal0~3_combout\,
	datad => \Equal0~1_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[9]~regout\);

-- Location: LC_X5_Y4_N3
\Add0~55\ : maxv_lcell
-- Equation(s):
-- \Add0~55_combout\ = (\prescaler:cnt[10]~regout\ $ ((!(!\Add0~37\ & \Add0~42\) # (\Add0~37\ & \Add0~42COUT1_102\))))
-- \Add0~57\ = CARRY(((\prescaler:cnt[10]~regout\ & !\Add0~42\)))
-- \Add0~57COUT1_104\ = CARRY(((\prescaler:cnt[10]~regout\ & !\Add0~42COUT1_102\)))

-- pragma translate_off
GENERIC MAP (
	cin0_used => "true",
	cin1_used => "true",
	cin_used => "true",
	lut_mask => "c30c",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datab => \prescaler:cnt[10]~regout\,
	cin => \Add0~37\,
	cin0 => \Add0~42\,
	cin1 => \Add0~42COUT1_102\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~55_combout\,
	cout0 => \Add0~57\,
	cout1 => \Add0~57COUT1_104\);

-- Location: LC_X6_Y4_N8
\prescaler:cnt[10]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[10]~regout\ = DFFEAS((((\Add0~55_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "ff00",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	datad => \Add0~55_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[10]~regout\);

-- Location: LC_X5_Y4_N4
\Add0~45\ : maxv_lcell
-- Equation(s):
-- \Add0~45_combout\ = (\prescaler:cnt[11]~regout\ $ (((!\Add0~37\ & \Add0~57\) # (\Add0~37\ & \Add0~57COUT1_104\))))
-- \Add0~47\ = CARRY(((!\Add0~57COUT1_104\) # (!\prescaler:cnt[11]~regout\)))

-- pragma translate_off
GENERIC MAP (
	cin0_used => "true",
	cin1_used => "true",
	cin_used => "true",
	lut_mask => "3c3f",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datab => \prescaler:cnt[11]~regout\,
	cin => \Add0~37\,
	cin0 => \Add0~57\,
	cin1 => \Add0~57COUT1_104\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~45_combout\,
	cout => \Add0~47\);

-- Location: LC_X4_Y4_N2
\prescaler:cnt[11]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[11]~regout\ = DFFEAS((\Add0~45_combout\ & (((!\Equal0~0_combout\) # (!\Equal0~3_combout\)) # (!\Equal0~1_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "2aaa",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	dataa => \Add0~45_combout\,
	datab => \Equal0~1_combout\,
	datac => \Equal0~3_combout\,
	datad => \Equal0~0_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[11]~regout\);

-- Location: LC_X5_Y4_N5
\Add0~70\ : maxv_lcell
-- Equation(s):
-- \Add0~70_combout\ = (\prescaler:cnt[12]~regout\ $ ((!\Add0~47\)))
-- \Add0~72\ = CARRY(((\prescaler:cnt[12]~regout\ & !\Add0~47\)))
-- \Add0~72COUT1_106\ = CARRY(((\prescaler:cnt[12]~regout\ & !\Add0~47\)))

-- pragma translate_off
GENERIC MAP (
	cin_used => "true",
	lut_mask => "c30c",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datab => \prescaler:cnt[12]~regout\,
	cin => \Add0~47\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~70_combout\,
	cout0 => \Add0~72\,
	cout1 => \Add0~72COUT1_106\);

-- Location: LC_X3_Y4_N8
\prescaler:cnt[14]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[14]~regout\ = DFFEAS((\Add0~65_combout\ & (((!\Equal0~3_combout\) # (!\Equal0~0_combout\)) # (!\Equal0~1_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "4ccc",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	dataa => \Equal0~1_combout\,
	datab => \Add0~65_combout\,
	datac => \Equal0~0_combout\,
	datad => \Equal0~3_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[14]~regout\);

-- Location: LC_X5_Y4_N6
\Add0~60\ : maxv_lcell
-- Equation(s):
-- \Add0~60_combout\ = (\prescaler:cnt[13]~regout\ $ (((!\Add0~47\ & \Add0~72\) # (\Add0~47\ & \Add0~72COUT1_106\))))
-- \Add0~62\ = CARRY(((!\Add0~72\) # (!\prescaler:cnt[13]~regout\)))
-- \Add0~62COUT1_108\ = CARRY(((!\Add0~72COUT1_106\) # (!\prescaler:cnt[13]~regout\)))

-- pragma translate_off
GENERIC MAP (
	cin0_used => "true",
	cin1_used => "true",
	cin_used => "true",
	lut_mask => "3c3f",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datab => \prescaler:cnt[13]~regout\,
	cin => \Add0~47\,
	cin0 => \Add0~72\,
	cin1 => \Add0~72COUT1_106\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~60_combout\,
	cout0 => \Add0~62\,
	cout1 => \Add0~62COUT1_108\);

-- Location: LC_X3_Y4_N1
\prescaler:cnt[13]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[13]~regout\ = DFFEAS((\Add0~60_combout\ & (((!\Equal0~3_combout\) # (!\Equal0~0_combout\)) # (!\Equal0~1_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "4ccc",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	dataa => \Equal0~1_combout\,
	datab => \Add0~60_combout\,
	datac => \Equal0~0_combout\,
	datad => \Equal0~3_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[13]~regout\);

-- Location: LC_X5_Y4_N7
\Add0~65\ : maxv_lcell
-- Equation(s):
-- \Add0~65_combout\ = (((!\Add0~47\ & \Add0~62\) # (\Add0~47\ & \Add0~62COUT1_108\) $ (!\prescaler:cnt[14]~regout\)))

-- pragma translate_off
GENERIC MAP (
	cin0_used => "true",
	cin1_used => "true",
	cin_used => "true",
	lut_mask => "f00f",
	operation_mode => "normal",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datad => \prescaler:cnt[14]~regout\,
	cin => \Add0~47\,
	cin0 => \Add0~62\,
	cin1 => \Add0~62COUT1_108\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~65_combout\);

-- Location: LC_X5_Y4_N8
\Equal0~2\ : maxv_lcell
-- Equation(s):
-- \Equal0~2_combout\ = (\Add0~45_combout\ & (!\Add0~50_combout\ & (!\Add0~55_combout\ & \Add0~40_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0200",
	operation_mode => "normal",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~45_combout\,
	datab => \Add0~50_combout\,
	datac => \Add0~55_combout\,
	datad => \Add0~40_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Equal0~2_combout\);

-- Location: LC_X5_Y4_N9
\Equal0~3\ : maxv_lcell
-- Equation(s):
-- \Equal0~3_combout\ = (!\Add0~70_combout\ & (\Add0~65_combout\ & (\Add0~60_combout\ & \Equal0~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "4000",
	operation_mode => "normal",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~70_combout\,
	datab => \Add0~65_combout\,
	datac => \Add0~60_combout\,
	datad => \Equal0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Equal0~3_combout\);

-- Location: LC_X4_Y4_N0
\prescaler:cnt[0]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[0]~regout\ = DFFEAS((\Add0~0_combout\ & (((!\Equal0~0_combout\) # (!\Equal0~3_combout\)) # (!\Equal0~1_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "2aaa",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	dataa => \Add0~0_combout\,
	datab => \Equal0~1_combout\,
	datac => \Equal0~3_combout\,
	datad => \Equal0~0_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[0]~regout\);

-- Location: LC_X4_Y4_N4
\Add0~10\ : maxv_lcell
-- Equation(s):
-- \Add0~10_combout\ = \prescaler:cnt[1]~regout\ $ ((((\Add0~2\))))
-- \Add0~12\ = CARRY(((!\Add0~2COUT1_88\)) # (!\prescaler:cnt[1]~regout\))

-- pragma translate_off
GENERIC MAP (
	cin0_used => "true",
	cin1_used => "true",
	lut_mask => "5a5f",
	operation_mode => "arithmetic",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "cin",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	dataa => \prescaler:cnt[1]~regout\,
	cin0 => \Add0~2\,
	cin1 => \Add0~2COUT1_88\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Add0~10_combout\,
	cout => \Add0~12\);

-- Location: LC_X3_Y4_N0
\prescaler:cnt[1]\ : maxv_lcell
-- Equation(s):
-- \prescaler:cnt[1]~regout\ = DFFEAS((((\Add0~10_combout\))), GLOBAL(\CLK~combout\), GLOBAL(\RST~combout\), , !\ENA~combout\, , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "ff00",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	datad => \Add0~10_combout\,
	aclr => \ALT_INV_RST~combout\,
	ena => \ALT_INV_ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:cnt[1]~regout\);

-- Location: LC_X3_Y4_N3
\Equal0~1\ : maxv_lcell
-- Equation(s):
-- \Equal0~1_combout\ = (!\Add0~25_combout\ & (!\Add0~30_combout\ & (!\Add0~35_combout\ & \Add0~20_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100",
	operation_mode => "normal",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	dataa => \Add0~25_combout\,
	datab => \Add0~30_combout\,
	datac => \Add0~35_combout\,
	datad => \Add0~20_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Equal0~1_combout\);

-- Location: LC_X6_Y4_N4
\prescaler:CLK440~1\ : maxv_lcell
-- Equation(s):
-- \prescaler:CLK440~1_combout\ = (((\ENA~combout\)) # (!\RST~combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "f3f3",
	operation_mode => "normal",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	datab => \RST~combout\,
	datac => \ENA~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \prescaler:CLK440~1_combout\);

-- Location: LC_X3_Y4_N4
\prescaler:CLK440\ : maxv_lcell
-- Equation(s):
-- \prescaler:CLK440~regout\ = DFFEAS(\prescaler:CLK440~regout\ $ (((\Equal0~1_combout\ & (\Equal0~0_combout\ & \Equal0~3_combout\)))), GLOBAL(\CLK~combout\), !\prescaler:CLK440~1_combout\, , , , , , )

-- pragma translate_off
GENERIC MAP (
	lut_mask => "6ccc",
	operation_mode => "normal",
	output_mode => "reg_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	clk => \CLK~combout\,
	dataa => \Equal0~1_combout\,
	datab => \prescaler:CLK440~regout\,
	datac => \Equal0~0_combout\,
	datad => \Equal0~3_combout\,
	aclr => \prescaler:CLK440~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \prescaler:CLK440~regout\);

-- Location: PIN_6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 16mA
\BUZR~I\ : maxv_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => \prescaler:CLK440~regout\,
	oe => VCC,
	padio => ww_BUZR);
END structure;


